NewWacht Bench is live — AI-assisted development for Wacht

Get Keys

GET
/api-auth/keys

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

status?string
include_inactive?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/api-auth/keys"
{
  "status": 0,
  "message": "string",
  "data": [
    {
      "id": 0,
      "name": "string",
      "key_prefix": "string",
      "key_suffix": "string",
      "permissions": [
        "string"
      ],
      "expires_at": "2019-08-24T14:15:22Z",
      "last_used_at": "2019-08-24T14:15:22Z",
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z",
      "revoked_at": "2019-08-24T14:15:22Z",
      "revoked_reason": "string"
    }
  ],
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}